## Folder Structure

```
ffl-fe/
  README.md
  node_modules/
  package.json
  public/
    index.html
    favicon.ico
  src/
    components/
    containers/
    HOCS/
    modules/
    store/
    routes/
    styles/
    tests/
    utils/
    index.js
```

- `public/index.html` is the page template;
- `src/index.js` is the JavaScript entry point.

You need to **put any JS and CSS files inside `src`**, otherwise Webpack won’t see them.

Only files inside `public` can be used from `public/index.html`.<br>

We can, however, create more top-level directories.<br>
They will not be included in the production build so we can use them for things like documentation.

## Install Dependencies

run `npm install` or `yarn`

## Available Scripts

In the project directory, you can run:

### `npm start` or `yarn start`

Runs the app in the development mode.<br>
Open [http://localhost:3000](http://localhost:3000) to view it in the browser.

The page will reload if you make edits.<br>
You will also see any lint errors in the console.

### `npm test` or `yarn test`

Launches the test runner in the interactive watch mode.<br>
See the section about [running tests](#running-tests) for more information.

### `npm run build` or `yarn build`

Builds the app for production to the `build` folder.<br>
It correctly bundles React in production mode and optimizes the build for the best performance.

The build is minified and the filenames include the hashes.<br>
FFL app is ready to be deployed!
